Skip to main content
DELETE
/
users
/
{userId}
Delete a user
curl --request DELETE \
  --url https://production.runalloy.com/users/{userId} \
  --header 'Authorization: <authorization>' \
  --header 'x-api-version: <x-api-version>'
import requests

url = "https://production.runalloy.com/users/{userId}"

headers = {
"Authorization": "<authorization>",
"x-api-version": "<x-api-version>"
}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {Authorization: '<authorization>', 'x-api-version': '<x-api-version>'}
};

fetch('https://production.runalloy.com/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true
}
{
"message": "Unauthorized"
}

Headers

Authorization
string
default:bearer YOUR_API_KEY
required
x-api-version
string
default:2025-09
required

The version of the API to use. The current API version is 2025-09.

Path Parameters

userId
string
required

The Id of the user you want to lookup. Returned from the Create User endpoint. Note: you can also use the Embedded user's username in this field.

Response

200

success
boolean
default:true
Example:

true